#include<iostream>
using namespace std;
long long arr[100000];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    long long n,j=0,c=0,stupka=3;
    cin>>n;
    for(int i=1; i<=n; i+=2)
    {
        arr[j]=i;
        j++;
    }
    for(int i=0; i<j; i++)
    {
        cout<<arr[i]<<" ";
    }
    /*for(int i=0; i<j; i+=stupka)
    {
        arr[c]=arr[i];
        c++;
    }
    for(int i=0; i<c; i++)
    {
        cout<<arr[i]<<" ";
    }*/
    c=j;
    cout<<c<<endl;
    while(stupka<c)
    {
        c=0;
        for(int i=0; i<j; i+=stupka)
        {
            arr[c]=arr[i];
            c++;
        }
        stupka++;
    }
    cout<<arr[c-1]<<endl;
    return 0;
}

